<div class="btnAcrossPageName">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
               (click)="onSave(constant.STATUS_OBJ.IS_DECLARING)"
               [mbIsDisable]="registerId > 0 || disableBtnSave"
               *ngIf="!isDetail"
               mbButtonText="{{'selfService.dependentRegisters.registerBtn' | translate}}"></mb-button>
<!--    <mb-button-->
<!--        (click)="onCancelRegister()"-->
<!--        *ngIf="registerId"-->
<!--        [mbButtonAvailableStyle]="'CANCEL'"-->
<!--        mbButtonText="{{'selfService.dependentRegisters.cancelRegisterBtn' | translate}}"-->
<!--    ></mb-button>-->
    <mb-button
        (click)="onBack()"
        *ngIf="!isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'common.button.cancel' | translate}}"
    ></mb-button>
    <mb-button
        (click)="onBack()"
        *ngIf="isDetail"
        [mbButtonAvailableStyle]="'CANCEL'"
        mbButtonText="{{'selfService.dependentRegisters.back' | translate}}"
    ></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-personal-information
    (emailEmployee)="getEmailEmployee($event)"
    (employeeInfoEvent)="getEmployeeInfo($event)"
  ></app-personal-information>
  <form nz-form [formGroup]="form" style="margin-top: 20px">
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col [nzXs]="12" [nzLg]="8">
        <mb-select [mbDataSelects]="listYear"
                   formControlName="year"
                   [mbType]="isSubmitted && form.controls['year'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['year'].errors !== null"
                   [mbErrors]="form.controls['year'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.declarationRegisters.yearRev' | translate }}]"
                   (ngModelChange)="selectYear($event)"
                   mbPlaceholder="{{'selfService.declarationRegisters.yearRev' | translate}}"
                   mbLabelText="{{'selfService.declarationRegisters.yearRev' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>
      <div  nz-col [nzXs]="12" [nzLg]="8">
        <mb-input-text
          formControlName="email"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'selfService.personalInfo.email' | translate}}"
          mbLabelText="{{'selfService.personalInfo.email' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]=24 [nzLg]="24">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'selfService.dependentRegisters.note' | translate}}"
          mbLabelText="{{'selfService.dependentRegisters.note' | translate}}"></mb-input-text>
      </div>
    </div>
  </form>
</div>
